CANONICALIZE_FILE_NAME(3)

NAME
canonicalize_file_name - return the canonicalized filename

SYNOPSIS

#define _GNU_SOURCE
#include <stdlib.h>

char *canonicalize_file_name (const char *path);

DESCRIPTION
The call canonicalize_file_name(path) is equivalent to the call realpath(path, NULL).

CONFORMING TO
The function is a GNU extension.

SEE ALSO
realpath(3)